Issue trying to update nodejs

Hi,

I’m getting the following error while trying to update nodejs. How do I resolve this?

ubuntu@ip-172-31-1-158:~$ curl -sL https://deb.nodesource.com/setup_6.x | sudo -E bash -

## Installing the NodeSource Node.js v6.x repo...


## Populating apt-get cache...

+ apt-get update
Ign http://us-west-2.ec2.archive.ubuntu.com trusty InRelease
Hit http://us-west-2.ec2.archive.ubuntu.com trusty-updates InRelease
Hit http://us-west-2.ec2.archive.ubuntu.com trusty Release.gpg
Hit http://us-west-2.ec2.archive.ubuntu.com trusty Release
Hit http://us-west-2.ec2.archive.ubuntu.com trusty-updates/main Sources
Hit http://us-west-2.ec2.archive.ubuntu.com trusty-updates/universe Sources
Hit http://us-west-2.ec2.archive.ubuntu.com trusty-updates/main amd64 Packages
Hit http://us-west-2.ec2.archive.ubuntu.com trusty-updates/universe amd64 Packages
Hit http://us-west-2.ec2.archive.ubuntu.com trusty-updates/main Translation-en
Hit http://us-west-2.ec2.archive.ubuntu.com trusty-updates/universe Translation-en
Hit http://us-west-2.ec2.archive.ubuntu.com trusty/main Sources
Hit http://us-west-2.ec2.archive.ubuntu.com trusty/universe Sources
Hit http://us-west-2.ec2.archive.ubuntu.com trusty/main amd64 Packages
Hit http://us-west-2.ec2.archive.ubuntu.com trusty/universe amd64 Packages
Hit http://us-west-2.ec2.archive.ubuntu.com trusty/main Translation-en
Hit http://us-west-2.ec2.archive.ubuntu.com trusty/universe Translation-en
Ign http://us-west-2.ec2.archive.ubuntu.com trusty/main Translation-en_US
Ign http://us-west-2.ec2.archive.ubuntu.com trusty/universe Translation-en_US
Hit http://ubuntu.bigbluebutton.org bigbluebutton-trusty InRelease
Ign http://us.archive.ubuntu.com trusty InRelease
Hit http://ubuntu.bigbluebutton.org bigbluebutton-trusty/main amd64 Packages
Hit http://us.archive.ubuntu.com trusty Release.gpg
Hit http://security.ubuntu.com trusty-security InRelease
Ign http://ppa.launchpad.net trusty InRelease
Hit http://ams2.mirrors.digitalocean.com trusty InRelease
Hit http://us.archive.ubuntu.com trusty Release
Hit http://ppa.launchpad.net trusty InRelease
Hit http://security.ubuntu.com trusty-security/main Sources
Hit http://us.archive.ubuntu.com trusty/multiverse amd64 Packages
Hit http://ams2.mirrors.digitalocean.com trusty/main amd64 Packages
Hit http://security.ubuntu.com trusty-security/universe Sources
Ign http://ppa.launchpad.net trusty Release.gpg
Hit http://us.archive.ubuntu.com trusty/multiverse Translation-en
Ign http://ubuntu.bigbluebutton.org bigbluebutton-trusty/main Translation-en_US
Ign http://ubuntu.bigbluebutton.org bigbluebutton-trusty/main Translation-en
Hit http://security.ubuntu.com trusty-security/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://security.ubuntu.com trusty-security/universe amd64 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Ign http://us.archive.ubuntu.com trusty/multiverse Translation-en_US
Hit http://security.ubuntu.com trusty-security/main Translation-en
Ign http://ppa.launchpad.net trusty Release
Hit http://security.ubuntu.com trusty-security/universe Translation-en
Ign http://ppa.launchpad.net trusty/main amd64 Packages/DiffIndex
Ign http://ams2.mirrors.digitalocean.com trusty/main Translation-en_US
Ign http://ams2.mirrors.digitalocean.com trusty/main Translation-en
Ign http://ppa.launchpad.net trusty/main Translation-en_US
Ign http://ppa.launchpad.net trusty/main Translation-en
Err http://ppa.launchpad.net trusty/main amd64 Packages
  404  Not Found
W: Failed to fetch http://ppa.launchpad.net/libreoffice/libreoffice-4-3/ubuntu/dists/trusty/main/binary-amd64/Packages  404  Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.
Error executing command, exiting

Thanks

you just have some Obsolete PPAs in your linux you need to remove them or edit them. just search google for removing Obsolete PPA, or u can quickly see this link
http://askubuntu.com/questions/65911/how-can-i-fix-a-404-error-when-using-a-ppa-or-updating-my-package-lists

@ganas thanks a lot for this. It worked!

Now I’ve encountered the following issue while trying to update bench

Any ideas how to resolve this? My site is now showing an internal server error

Thanks